CREATE TABLE hwm_te_alt_name_grps (
    TE_ALT_NAME_GRP_ID       NUMBER(18, 0),
    GRP_ID                   NUMBER(18, 0)    NOT NULL,
    TE_ALT_NAME_VAL_ID       NUMBER(18, 0)    NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    ENTERPRISE_ID            NUMBER(18, 0)    NOT NULL,
    MODULE_ID                VARCHAR2(128),
    SGUID                    VARCHAR2(128),
    START_DATE               DATE             NOT NULL,
    END_DATE                 DATE         ,
    TE_ALT_NAME_GRP_ID       NUMBER(18, 0),
    GRP_ID                   NUMBER(18, 0)    NOT NULL,
    TE_ALT_NAME_VAL_ID       NUMBER(18, 0)    NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    ENTERPRISE_ID            NUMBER(18, 0)    NOT NULL,
    MODULE_ID                VARCHAR2(128),
    SGUID                    VARCHAR2(128),
    START_DATE               DATE             NOT NULL,
    END_DATE                 DATE         ,
    CONSTRAINT pk_hwm_te_alt_name_grps PRIMARY KEY (TE_ALT_NAME_GRP_ID, TE_ALT_NAME_GRP_ID)
);
